OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeSurface Class Reference

This class implements the mapping between classes
Surface from StepGeom which describes a Surface
from prostep and Surface from Geom.
As Surface is an abstract
Surface this class is an access to the sub-class required.
.

`#include <StepToGeom_MakeSurface.hxx>`

Inheritance diagram for StepToGeom_MakeSurface:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeSurface (const Handle(StepGeom_Surface)&C)
Standard_EXPORT const Handle_Geom_Surface & | Value () const
## Private Attributes
Handle_Geom_Surface | theSurface

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeSurface::StepToGeom_MakeSurface | ( | const Handle(StepGeom_Surface)& | C | ) |

## Member Function Documentation

void StepToGeom_MakeSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_Surface& StepToGeom_MakeSurface::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_Surface StepToGeom_MakeSurface::theSurface`[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeSurface.hxx